import Foundation

// Protocollo di messaggistica per le comunicazioni tra l'app e l'accessorio.
struct Message{
    
    enum MessageId: UInt8 {
        // Messaggi dall'accessorio
        case accessoryConfigurationData = 0x1
        case accessoryUwbDidStart = 0x2
        case accessoryUwbDidStop = 0x3
        
        //Messaggi gestione ingresso
        case accessoryPassageOpening = 0x4
        
        // Messaggi verso l'accessorio
        case initialize = 0xA
        case configureAndStart = 0xB
        case stop = 0xC
        //case requestAccess = 0xD
    }
}
